*********************************
*SOUND_MAIN.S			*
*CALLS ALL NECESSARY ROUTINES	*
*TO PLAY A SOUND RESOURCE 128	*
*IN THE BACKGROUND.		*
*********************************
SOUND_MAIN:	
	MOVE.W	#128,D0		*THE NUMBER OF THE SOUND RESOURCE TO LOAD
	BSR.L	LOAD_SOUND	*LOAD IT AND RETURN HANDLE IN D0
	MOVE.L	D0,SOUND(A5)	*STORE HANDLE

**NOW SET UP THE CHANNEL WE WANT, WHICH IS 0
	CLR.L	CHAN(A5)
			
**NOW START THE SOUND PLAYING AND QUIT
	BSR.L	PLAY_SOUND
**now wait 5 seconds before quitting
	CLR.L	-(SP)
	DC.W	_TICKCOUNT
	MOVE.L	(SP)+,D0	CURRENT TIME IN 60THS OF A SECOND
	ADD.L	#5*60,D0		ADD ON 5 SECONDS
	MOVE.L	D0,WAIT_TIME(A5)
			
**WAIT FOR TIMER TO REACH T+5 SECONDS
WAIT:	CLR.L	-(SP)
	DC.W	_TICKCOUNT
	MOVE.L	(SP)+,D0	GET CURRENT TIME
	CMP.L	WAIT_TIME(A5),D0	COMPARE IT TO TIME STORED
	BLT.S	WAIT		IF LESS THAN, THEN WAIT
	RTS
	global	sound_main	*every file must have at least one global def
				*even its just a dummy.
	EXTERN	LOAD_SOUND,PLAY_SOUND
